import fetch from "@/utils/fetch";

export default {
  // ----------------------------广告管理--------------------
  addOrUpdateAdvertisement(data) {
    //新增或者修改一条广告信息
    return fetch({
      url: "/Advertisement/addOrUpdateAdvertisement",
      method: "POST",
      data,
    });
  },

  getAdvertisementList(data) {
    // 获取广告信息列表
    return fetch({
      url: "/Advertisement/getAdvertisementList",
      method: "POST",
      data,
    });
  },

  getAdvertisementById(params) {
    // 查询一条广告信息
    return fetch({
      url: "/Advertisement/getAdvertisementById",
      method: "GET",
      params,
    });
  },

  deleteAdvertisementById(params) {
    // 删除一条广告信息
    return fetch({
      url: "/Advertisement/deleteAdvertisementById",
      method: "GET",
      params,
    });
  },
};